• [6.9.2] ixgbe drive not working


    jorj4man
    • Urgent

    Upgraded from 6.8.2 to 6.9.2 and my 10gb nic no longer works.  In the log ixgbe is spamming errors:

     

    Apr 13 01:56:35 unraidserver kernel: ixgbe 0000:07:00.0: Warning firmware error detected FWSM: 0x00000000
    Apr 13 01:56:36 unraidserver kernel: ixgbe 0000:07:00.1: Warning firmware error detected FWSM: 0x00000000

     

    The nic was working prior to the upgrade.  It's an Intel X520-T2 but is reported through lspci as an 82599 (which shouldn't matter).  



    User Feedback

    Recommended Comments

    I have a X520-DA2 (uses SFP+ modules rather than RJ connectors) and it is working fine for me, also reports as a 82599.

     

    Wonder whats different?

     

    03:00.0 Ethernet controller: Intel Corporation 82599ES 10-Gigabit SFI/SFP+ Network Connection (rev 01)

     

    Link to comment
    Share on other sites
    3 hours ago, Fizzyade said:

    I have a X520-DA2 (uses SFP+ modules rather than RJ connectors) and it is working fine for me, also reports as a 82599.

     

    Wonder whats different?

     

    
    03:00.0 Ethernet controller: Intel Corporation 82599ES 10-Gigabit SFI/SFP+ Network Connection (rev 01)

     

    It seems like the link is up after a while but the log spam is still there.  Are you getting messages in the log?

    Link to comment
    Share on other sites
    On 4/13/2021 at 2:09 PM, jorj4man said:

    It seems like the link is up after a while but the log spam is still there.  Are you getting messages in the log?

    No, no log spam regarding the card. (Sorry for not replying earlierm i'm unwell)

    Link to comment
    Share on other sites

    driver: ixgbe
    version: 5.10.28-Unraid
    firmware-version: 0x00012b2c
    expansion-rom-version:
    bus-info: 0000:03:00.0
    supports-statistics: yes
    supports-test: yes
    supports-eeprom-access: yes
    supports-register-dump: yes
    supports-priv-flags: yes

    • Thanks 1
    Link to comment
    Share on other sites

    driver: ixgbe
    version: 5.10.28-Unraid
    firmware-version: 0x800007f9, 16.5.20
    expansion-rom-version: 
    bus-info: 0000:07:00.0
    supports-statistics: yes
    supports-test: yes
    supports-eeprom-access: yes
    supports-register-dump: yes
    supports-priv-flags: yes

     

    Looks like the firmware version is different.

    Link to comment
    Share on other sites
    On 4/23/2021 at 10:54 AM, jorj4man said:

    Looks like the firmware version is different.

     

    Did you have any success in finding a firmware update?

    Link to comment
    Share on other sites

    hello,

     

    my conf:  unRAID 6.9.2, intel nic X520-DA2 SFP+ using a noname fs.com AOC

     

    root@Tower:~# ethtool -i eth0
    driver: ixgbe
    version: 5.10.28-Unraid
    firmware-version: 0x00012b2c
    expansion-rom-version:
    bus-info: 0000:05:00.0
    supports-statistics: yes
    supports-test: yes
    supports-eeprom-access: yes
    supports-register-dump: yes
    supports-priv-flags: yes
    
    root@Tower:~# lspci
    05:00.0 Ethernet controller: Intel Corporation 82599ES 10-Gigabit SFI/SFP+ Network Connection (rev 01)
    05:00.1 Ethernet controller: Intel Corporation 82599ES 10-Gigabit SFI/SFP+ Network Connection (rev 01)

     

    I am experiencing up/down links, but this is my ISP router witch is faulty.

     

    I am also experiencing errors, around 30 on a 4 hours test, with no traffic ( except regular dhcp stuff ... not much ). Used to have ZERO error under my previous Debian10 server ( with drivers 5.9.4 )

    Awaiting my new array to built to do more testing.

     

    Usually, firmware update cant be found here: https://sourceforge.net/projects/e1000/files/ixgbe stable/

    Latest universal release is 5.11.13 2021-03-05.

     

    Wonder if unRAID dev team is using a old-stable ixgbe driver or an updated-alive version ?

     

    Also, i am still a super newbe with unRAID, still have to understant how to make/install, dont event know if modprob is used on slackware or unRAID....

     

    Edited by tech_rkn
    Link to comment
    Share on other sites

    I didn't find an Intel firmware update for the card.  I read on a forum that the firmware is now loaded automatically by the driver, but I don't know how true that is.  Dell has a firmware update available for the card, however running the update says my system is not compatible.  

     

    I don't know how to check in bash but my card may be a Dell card, in which case the Intel firmware probably wouldn't work, but then the Dell firmware should.

    Link to comment
    Share on other sites

    Was there any fix for this besides flashing the firmware on the card?

    Link to comment
    Share on other sites


    Join the conversation

    You can post now and register later. If you have an account, sign in now to post with your account.
    Note: Your post will require moderator approval before it will be visible.

    Guest
    Add a comment...

    ×   Pasted as rich text.   Restore formatting

      Only 75 emoji are allowed.

    ×   Your link has been automatically embedded.   Display as a link instead

    ×   Your previous content has been restored.   Clear editor

    ×   You cannot paste images directly. Upload or insert images from URL.


  • Status Definitions

     

    Open = Under consideration.

     

    Solved = The issue has been resolved.

     

    Solved version = The issue has been resolved in the indicated release version.

     

    Closed = Feedback or opinion better posted on our forum for discussion. Also for reports we cannot reproduce or need more information. In this case just add a comment and we will review it again.

     

    Retest = Please retest in latest release.


    Priority Definitions

     

    Minor = Something not working correctly.

     

    Urgent = Server crash, data loss, or other showstopper.

     

    Annoyance = Doesn't affect functionality but should be fixed.

     

    Other = Announcement or other non-issue.